SDL_GetHapticInstanceName(3)

NAME
SDL_GetHapticInstanceName - Get the implementation dependent name of a haptic device.

HEADER FILE
Defined in SDL3/SDL_haptic.h

SYNOPSIS
#include "SDL3/SDL.h"

const char* SDL_GetHapticInstanceName(SDL_HapticID instance_id);

DESCRIPTION
This can be called before any haptic devices are opened.

FUNCTION PARAMETERS

instance_id
    the haptic device instance ID

RETURN VALUE
Returns the name of the selected haptic device. If no name can be found, this function returns NULL; call SDL_GetError () for more information.

AVAILABILITY
This function is available since SDL 3.0.0.

SEE ALSO
SDL_GetHapticName(3), SDL_OpenHaptic(3)